Package com.independentsoft.office.spreadsheet.drawing

# Class GroupShapeProperties

java.lang.Object
com.independentsoft.office.spreadsheet.drawing.GroupShapeProperties

public class GroupShapeProperties extends Object
The Class GroupShapeProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupShapeProperties()`
  Instantiates a new group shape properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GroupShapeProperties`
  `clone()`
  `BlackWhiteMode`
  `getBlackWhiteMode()`
  Gets the black white mode.
  `EffectDag`
  `getEffectDag()`
  Gets the effect dag.
  `EffectList`
  `getEffectList()`
  Gets the effect list.
  `GradientFill`
  `getGradientFill()`
  Gets the gradient fill.
  `GroupFill`
  `getGroupFill()`
  Gets the group fill.
  `NoFill`
  `getNoFill()`
  Gets the no fill.
  `PatternFill`
  `getPatternFill()`
  Gets the pattern fill.
  `PictureFill`
  `getPictureFill()`
  Gets the picture fill.
  `Scene3D`
  `getScene3D()`
  Gets the scene3 d.
  `SolidFill`
  `getSolidFill()`
  Gets the solid fill.
  `TransformGroup2D`
  `getTransformGroup2D()`
  Gets the transform group2 d.
  `void`
  `setBlackWhiteMode​(BlackWhiteMode blackWhiteMode)`
  Sets the black white mode.
  `void`
  `setEffectDag​(EffectDag effectDag)`
  Sets the effect dag.
  `void`
  `setEffectList​(EffectList effectList)`
  Sets the effect list.
  `void`
  `setGradientFill​(GradientFill gradientFill)`
  Sets the gradient fill.
  `void`
  `setGroupFill​(GroupFill groupFill)`
  Sets the group fill.
  `void`
  `setNoFill​(NoFill noFill)`
  Sets the no fill.
  `void`
  `setPatternFill​(PatternFill patternFill)`
  Sets the pattern fill.
  `void`
  `setPictureFill​(PictureFill pictureFill)`
  Sets the picture fill.
  `void`
  `setScene3D​(Scene3D scene3D)`
  Sets the scene3 d.
  `void`
  `setSolidFill​(SolidFill solidFill)`
  Sets the solid fill.
  `void`
  `setTransformGroup2D​(TransformGroup2D transformGroup2D)`
  Sets the transform group2 d.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroupShapeProperties

    public GroupShapeProperties()
    Instantiates a new group shape properties.

- ## Method Details

  - ### clone

    public GroupShapeProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBlackWhiteMode

    public BlackWhiteMode getBlackWhiteMode()
    Gets the black white mode.
    Returns:
      the black white mode

  - ### setBlackWhiteMode

    public void setBlackWhiteMode​(BlackWhiteMode blackWhiteMode)
    Sets the black white mode.
    Parameters:
      `blackWhiteMode` - the new black white mode

  - ### getPictureFill

    public PictureFill getPictureFill()
    Gets the picture fill.
    Returns:
      the picture fill

  - ### setPictureFill

    public void setPictureFill​(PictureFill pictureFill)
    Sets the picture fill.
    Parameters:
      `pictureFill` - the new picture fill

  - ### getEffectDag

    public EffectDag getEffectDag()
    Gets the effect dag.
    Returns:
      the effect dag

  - ### setEffectDag

    public void setEffectDag​(EffectDag effectDag)
    Sets the effect dag.
    Parameters:
      `effectDag` - the new effect dag

  - ### getEffectList

    public EffectList getEffectList()
    Gets the effect list.
    Returns:
      the effect list

  - ### setEffectList

    public void setEffectList​(EffectList effectList)
    Sets the effect list.
    Parameters:
      `effectList` - the new effect list

  - ### getGradientFill

    public GradientFill getGradientFill()
    Gets the gradient fill.
    Returns:
      the gradient fill

  - ### setGradientFill

    public void setGradientFill​(GradientFill gradientFill)
    Sets the gradient fill.
    Parameters:
      `gradientFill` - the new gradient fill

  - ### getGroupFill

    public GroupFill getGroupFill()
    Gets the group fill.
    Returns:
      the group fill

  - ### setGroupFill

    public void setGroupFill​(GroupFill groupFill)
    Sets the group fill.
    Parameters:
      `groupFill` - the new group fill

  - ### getNoFill

    public NoFill getNoFill()
    Gets the no fill.
    Returns:
      the no fill

  - ### setNoFill

    public void setNoFill​(NoFill noFill)
    Sets the no fill.
    Parameters:
      `noFill` - the new no fill

  - ### getPatternFill

    public PatternFill getPatternFill()
    Gets the pattern fill.
    Returns:
      the pattern fill

  - ### setPatternFill

    public void setPatternFill​(PatternFill patternFill)
    Sets the pattern fill.
    Parameters:
      `patternFill` - the new pattern fill

  - ### getScene3D

    public Scene3D getScene3D()
    Gets the scene3 d.
    Returns:
      the scene3 d

  - ### setScene3D

    public void setScene3D​(Scene3D scene3D)
    Sets the scene3 d.
    Parameters:
      `scene3D` - the new scene3 d

  - ### getSolidFill

    public SolidFill getSolidFill()
    Gets the solid fill.
    Returns:
      the solid fill

  - ### setSolidFill

    public void setSolidFill​(SolidFill solidFill)
    Sets the solid fill.
    Parameters:
      `solidFill` - the new solid fill

  - ### getTransformGroup2D

    public TransformGroup2D getTransformGroup2D()
    Gets the transform group2 d.
    Returns:
      the transform group2 d

  - ### setTransformGroup2D

    public void setTransformGroup2D​(TransformGroup2D transformGroup2D)
    Sets the transform group2 d.
    Parameters:
      `transformGroup2D` - the new transform group2 d